Subject: [Feature request] make git buildable from a separate directory

From: Manlio Perillo <[email-masked]>
Date: Sat, 05 Jan 2013 21:52:05 +0100

Hi.

Many C projects I have seen (based on autoconf, but not always - like
Nginx) allow the project to be build in a separate directory, in order
to avoid to pollute the working directory with compiled files.

Unfortunately this seems to not be possible with Git.
The Makefile seems quite complex to me, so I'm not sure to be able to
change it to do what I want, without breaking it.

Thanks  Manlio